package peterson;

import java.io.Serializable;

/**
 * Beschrijving van een pakketje dat over een netwerk wordt verzonden.
 * @author Pieter van Ede - 3019764 <br /> Wesley Kok - 3019853
 */
public class Pakketje implements Serializable
{
	final static long serialVersionUID = 2;
	
	/**
	 * De inhoud van dit pakketje.
	 */
	private int getal;
	
	/**
	 * Maakt een nieuw pakketje aan met de gegeven data.
	 * 
	 * @param getal  de data van dit pakketje
	 */
	public Pakketje(int getal)
	{
		this.getal = getal;
	}
	
	/**
	 * Bekijk de inhoud van dit pakketje.
	 * 
	 * @return  inhoud van het pakketje
	 */
	public int openPakketje()
	{
		return this.getal;
	}
}