package peterson;

/**
 * Implenteert een standaard semafoor.
 * @author Pieter van Ede - 3019764 <br /> Wesley Kok - 3019853
 */
public class Semafoor 
{
	private int value;
	
	/**
	 * Maakt een nieuwe semafoor.
	 * 
	 * @param value  starwaarde van de semafoor
	 */
	public Semafoor(int value)
	{
		this.value = value;
	}
	
	/**
	 * Laagt de value atomair eentje af, en wacht als dat nog niet kan.
	 */
	public synchronized void p()
	{
		while(this.value == 0)
		{
			try
			{
				wait();
			}
			catch(InterruptedException e) {}
		}
		this.value--;
	}
	
	/**
	 * Hoogt de value atomair eentje op.
	 */
	public synchronized void v()
	{
		this.value++;
		notify();
	}
}